Announcement

Collapse
No announcement yet.

Class 'vB_Template_Runtime' not found

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Wayne Luke
    replied
    You'll have to open a support ticket and give us full access to the server. We'll look into it as soon as we can.

    Leave a comment:


  • jrw422
    replied
    Wayne, I got with my host and this is the Idiocy I got from them.

    "Thanks for the wait. Upon checking, the site is there but is it in the exact file path the program is looking for. This is a development issue, the developer of the software need to diagnose why. I even ask some assistance from our experts from our admins and they recommend that you can try to upgrade the php version but we can't diagnose why a third party program does not work."

    I checked the php version before I posted this thread thinking maybe it reverted back to 5.4. I am running 7.1 according to my cpanel. Then the guy says I am running 5.4! Don't think he knows what is up or down! So I think well maybe it changed and is not showing properly for me. I asked him to set it to 7.1, he did, I tried again and still get that same message. HELP!!!! LOL

    Jon

    Leave a comment:


  • Wayne Luke
    replied
    Ask your host why the user running PHP cannot see the file.

    If it is chmod 755 or 644 and owned by the user/group executing PHP then it should be seen and used properly.
    Last edited by Wayne Luke; Tue 13th Nov '18, 11:32am.

    Leave a comment:


  • jrw422
    replied
    Hello! are we stumped on this one???

    Leave a comment:


  • jrw422
    replied
    Yes that is there are is chmod correctly. So, why cant it be found???

    Leave a comment:


  • Wayne Luke
    replied
    Sorry, core is incorrect above. Habit and muscle memory. It is located here for me:
    /var/www/devroot/public_html/vbulletin5/dev/includes/vb5/template/runtime.php

    dev is just the home of the latest development build compared to the live build that customers can download.

    Leave a comment:


  • jrw422
    replied
    Ok there is NO "template" folder in vb5. The only folder there is "route"

    Did a search and found /includes/vb5/templates/runtime.php but NOT in the "Core" folder
    Last edited by jrw422; Mon 12th Nov '18, 12:23pm.

    Leave a comment:


  • Wayne Luke
    replied
    The actual file is /core/vb5/template/runtime.php. The class in that file is vB5_Template_Runtime.

    The file path is built into the class name... vb5 / template / runtime.

    Leave a comment:


  • jrw422
    replied
    Ok I re-loaded everything and the chmod's are correct. It STILL says it cant be found. Where exactly is it located? I did a file search and it does not seem to be in the package extract!

    I even went and re-downloaded the zip file and did a search. That file is NOT there!
    Last edited by jrw422; Mon 12th Nov '18, 11:13am.

    Leave a comment:


  • Wayne Luke
    replied
    It is a required file. If it can't be found then you will need to reupload the vBulletin 5.4.4 package. Make sure that the /install directory is within the /core directory and that your files are chmod either 644 or 755.

    Leave a comment:


  • jrw422
    replied
    Immediately upon entering the /core/install/upgrade.php

    Leave a comment:


  • Mark.B
    replied
    At what point is the error received?

    Leave a comment:


  • jrw422
    replied
    Thanks for responding Mark. I restored the database and ran the /core/install/upgrade.php. Still get the Class 'vB_Template_Runtime' not found. So what do I do now??

    Leave a comment:


  • Mark.B
    replied
    You don't enter database info on an upgrade. That's for a fresh install.

    Restore the database from backup, and then make sure you run upgrade.php, not install.php.

    Leave a comment:


  • jrw422
    started a topic Class 'vB_Template_Runtime' not found

    Class 'vB_Template_Runtime' not found

    Tried to upgrade from 5.3 to 5.4 and got a 500 internal server error. So I re-uploaded everything and started over. Got into the upgrade and entered all of the database info. Got a screen that told me to delete the makeconfig.php I believe it was and did so. Started the upgrade and now I get this "Class 'vB_Template_Runtime' not found"

    Please advise
    Jon
widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X